org.apache.storm.loadgen

## Class LoadCompConf.Builder

- java.lang.Object
- - org.apache.storm.loadgen.LoadCompConf.Builder

- Enclosing class:
    LoadCompConf

      public static class LoadCompConf.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoadCompConf` | `build()`
    `String` | `getId()`
    `int` | `getParallelism()`
    `List<OutputStream>` | `getStreams()`
    `LoadCompConf.Builder` | `withCpuLoad(double cpuLoad)`
    `LoadCompConf.Builder` | `withId(String id)`
    `LoadCompConf.Builder` | `withMemoryLoad(double memoryLoad)`
    `LoadCompConf.Builder` | `withParallelism(int parallelism)`
    `LoadCompConf.Builder` | `withSlowExecutorPattern(SlowExecutorPattern slp)`
    `LoadCompConf.Builder` | `withStream(OutputStream stream)` Add in a single OutputStream to this component.
    `LoadCompConf.Builder` | `withStreams(List<OutputStream> streams)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### withId

          public LoadCompConf.Builder withId(String id)

    - #### getParallelism

          public int getParallelism()

    - #### withParallelism

          public LoadCompConf.Builder withParallelism(int parallelism)

    - #### getStreams

          public List<OutputStream> getStreams()

    - #### withStream

          public LoadCompConf.Builder withStream(OutputStream stream)

      Add in a single OutputStream to this component.

      Parameters:
        `stream` - the stream to add
      Returns:
        this

    - #### withStreams

          public LoadCompConf.Builder withStreams(List<OutputStream> streams)

    - #### withCpuLoad

          public LoadCompConf.Builder withCpuLoad(double cpuLoad)

    - #### withMemoryLoad

          public LoadCompConf.Builder withMemoryLoad(double memoryLoad)

    - #### withSlowExecutorPattern

          public LoadCompConf.Builder withSlowExecutorPattern(SlowExecutorPattern slp)

    - #### build

          public LoadCompConf build()

Copyright © 2021 The Apache Software Foundation. All rights reserved.